@use "@/theme/base.scss";

.title {
  &:hover ~ .contents {
    @include base.slidein;
  }
  visibility: visible;
  min-width: 100px;
  display: flex;
  justify-content: center;
  align-content: baseline;
  gap: 0.5rem;
  outline: 0;
  border: 0;
  box-shadow: 0;
  padding: 0;
  background: none;
}

.dropdownIcon {
  position: relative;
  top: 2px;
}

.contents {
  @include base.elevated-box;
  // @include base.colors-inverted;
  right: 1rem;
  min-width: 100px;
  position: absolute;
  display: flex;
  opacity: 0;
  transform: scaleY(0);
  transform-origin: top;
  flex-direction: column;
  z-index: 99;
  overflow: hidden;

  background: var(--contrast);
  color: var(--contrast-inverse);

  &:hover,
  .hoverdown[data-clicked="true"] > & {
    @include base.slidein;
  }

  > a,
  > button {
    color: inherit;
    background: none;
    width: 100%;
    height: 100%;
    padding: 0.25rem 1rem;
    text-align: left;
    cursor: pointer;
    text-decoration: none;
    transition: 200ms background;
    border-radius: 0;
    margin: 0;
    display: block;
    border: 0;
    outline: 0;
    &:hover {
      background: var(--contrast-hover);
    }
  }
}
